Index: cpukit/ChangeLog
===================================================================
--- cpukit/ChangeLog	(revision 37b9679238953f3bcb4a6b52814bae2da8e98361)
+++ cpukit/ChangeLog	(revision 29f73d3ed3ee9e01c96b96e1cf03a686d80f806b)
@@ -2,5 +2,6 @@
 	* libnetworking/rtems/rtems_mii_ioctl.c,
 	* libnetworking/rtems/rtems_mii_ioctl.h,
-	* libnetworking/rtems/rtems_mii_ioctl_kern.c:
+	* libnetworking/rtems/rtems_mii_ioctl_kern.c,
+	* libi2c/libi2c.c, libi2c/libi2c.h:
 	Added SLAC/Stanford Authorship Note / Copyright + Liability Disclaimer.
 
Index: cpukit/libi2c/libi2c.c
===================================================================
--- cpukit/libi2c/libi2c.c	(revision 37b9679238953f3bcb4a6b52814bae2da8e98361)
+++ cpukit/libi2c/libi2c.c	(revision 29f73d3ed3ee9e01c96b96e1cf03a686d80f806b)
@@ -3,4 +3,48 @@
 /* libi2c Implementation */
 
+/* 
+ * Authorship
+ * ----------
+ * This software was created by
+ *     Till Straumann <strauman@slac.stanford.edu>, 2005,
+ * 	   Stanford Linear Accelerator Center, Stanford University.
+ * 
+ * Acknowledgement of sponsorship
+ * ------------------------------
+ * This software was produced by
+ *     the Stanford Linear Accelerator Center, Stanford University,
+ * 	   under Contract DE-AC03-76SFO0515 with the Department of Energy.
+ * 
+ * Government disclaimer of liability
+ * ----------------------------------
+ * Neither the United States nor the United States Department of Energy,
+ * nor any of their employees, makes any warranty, express or implied, or
+ * assumes any legal liability or responsibility for the accuracy,
+ * completeness, or usefulness of any data, apparatus, product, or process
+ * disclosed, or represents that its use would not infringe privately owned
+ * rights.
+ * 
+ * Stanford disclaimer of liability
+ * --------------------------------
+ * Stanford University makes no representations or warranties, express or
+ * implied, nor assumes any liability for the use of this software.
+ * 
+ * Stanford disclaimer of copyright
+ * --------------------------------
+ * Stanford University, owner of the copyright, hereby disclaims its
+ * copyright and all other rights in this software.  Hence, anyone may
+ * freely use it for any purpose without restriction.  
+ * 
+ * Maintenance of notices
+ * ----------------------
+ * In the interest of clarity regarding the origin and status of this
+ * SLAC software, this and all the preceding Stanford University notices
+ * are to remain affixed to any copy or derivative of this software made
+ * or distributed by the recipient and are to be affixed to any copy of
+ * software made or distributed by the recipient that contains a copy or
+ * derivative of this software.
+ * 
+ * ------------------ SLAC Software Notices, Set 4 OTT.002a, 2004 FEB 03
+ */ 
 #if HAVE_CONFIG_H
 #include "config.h"
Index: cpukit/libi2c/libi2c.h
===================================================================
--- cpukit/libi2c/libi2c.h	(revision 37b9679238953f3bcb4a6b52814bae2da8e98361)
+++ cpukit/libi2c/libi2c.h	(revision 29f73d3ed3ee9e01c96b96e1cf03a686d80f806b)
@@ -2,4 +2,49 @@
 #define RTEMS_LIBI2C_H
 /*$Id$*/
+
+/* 
+ * Authorship
+ * ----------
+ * This software was created by
+ *     Till Straumann <strauman@slac.stanford.edu>, 2005,
+ * 	   Stanford Linear Accelerator Center, Stanford University.
+ * 
+ * Acknowledgement of sponsorship
+ * ------------------------------
+ * This software was produced by
+ *     the Stanford Linear Accelerator Center, Stanford University,
+ * 	   under Contract DE-AC03-76SFO0515 with the Department of Energy.
+ * 
+ * Government disclaimer of liability
+ * ----------------------------------
+ * Neither the United States nor the United States Department of Energy,
+ * nor any of their employees, makes any warranty, express or implied, or
+ * assumes any legal liability or responsibility for the accuracy,
+ * completeness, or usefulness of any data, apparatus, product, or process
+ * disclosed, or represents that its use would not infringe privately owned
+ * rights.
+ * 
+ * Stanford disclaimer of liability
+ * --------------------------------
+ * Stanford University makes no representations or warranties, express or
+ * implied, nor assumes any liability for the use of this software.
+ * 
+ * Stanford disclaimer of copyright
+ * --------------------------------
+ * Stanford University, owner of the copyright, hereby disclaims its
+ * copyright and all other rights in this software.  Hence, anyone may
+ * freely use it for any purpose without restriction.  
+ * 
+ * Maintenance of notices
+ * ----------------------
+ * In the interest of clarity regarding the origin and status of this
+ * SLAC software, this and all the preceding Stanford University notices
+ * are to remain affixed to any copy or derivative of this software made
+ * or distributed by the recipient and are to be affixed to any copy of
+ * software made or distributed by the recipient that contains a copy or
+ * derivative of this software.
+ * 
+ * ------------------ SLAC Software Notices, Set 4 OTT.002a, 2004 FEB 03
+ */ 
 #include <rtems.h>
 
